---
title: Fetch a participant's detail
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/python)

[Realtime Kit](https://developers.cloudflare.com/api/python/resources/realtime_kit)

[Meetings](https://developers.cloudflare.com/api/python/resources/realtime_kit/subresources/meetings)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Fetch a participant's detail

realtime\_kit.meetings.get\_meeting\_participant(strparticipant\_id, MeetingGetMeetingParticipantParams\*\*kwargs) -> [MeetingGetMeetingParticipantResponse](<https://developers.cloudflare.com/api/python/resources/realtime_kit#(resource)%20realtime_kit.meetings%20%3E%20(model)%20meeting_get_meeting_participant_response%20%3E%20(schema)>)

GET/accounts/{account\_id}/realtime/kit/{app\_id}/meetings/{meeting\_id}/participants/{participant\_id}

Returns a participant details for the given meeting and participant ID.

##### Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. [Create a token](https://developers.cloudflare.com/fundamentals/api/get-started/create-token/).

**Example:**`Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY`

##### Accepted Permissions (at least one required)

`Realtime Admin``Realtime`

##### ParametersExpand Collapse

account\_id: str

The account identifier tag.

maxLength32

[Link to this property](<#(resource)%20realtime_kit.meetings%20%3E%20(method)%20get_meeting_participant%20%3E%20(params)%20default%20%3E%20(param)%20account_id%20%3E%20(schema)>)

app\_id: str

The app identifier tag.

[Link to this property](<#(resource)%20realtime_kit.meetings%20%3E%20(method)%20get_meeting_participant%20%3E%20(params)%20default%20%3E%20(param)%20app_id%20%3E%20(schema)>)

meeting\_id: str

formatuuid

[Link to this property](<#(resource)%20realtime_kit.meetings%20%3E%20(method)%20get_meeting_participant%20%3E%20(params)%20default%20%3E%20(param)%20meeting_id%20%3E%20(schema)>)

participant\_id: str

[Link to this property](<#(resource)%20realtime_kit.meetings%20%3E%20(method)%20get_meeting_participant%20%3E%20(params)%20default%20%3E%20(param)%20participant_id%20%3E%20(schema)>)

##### ReturnsExpand Collapse

<details>

<summary>

class MeetingGetMeetingParticipantResponse: …

</summary>

<details>

<summary>

data: Data

Data returned by the operation

</summary>

id: str

ID of the participant.

formatuuid

<a href="#(resource)%20realtime_kit.meetings%20%3E%20(model)%20meeting_get_meeting_participant_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20id">Link to this property</a>

created\_at: datetime

When this object was created. The time is returned in ISO format.

formatdate-time

<a href="#(resource)%20realtime_kit.meetings%20%3E%20(model)%20meeting_get_meeting_participant_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20created_at">Link to this property</a>

custom\_participant\_id: str

A unique participant ID generated by the client.

<a href="#(resource)%20realtime_kit.meetings%20%3E%20(model)%20meeting_get_meeting_participant_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20custom_participant_id">Link to this property</a>

preset\_name: str

Preset applied to the participant.

<a href="#(resource)%20realtime_kit.meetings%20%3E%20(model)%20meeting_get_meeting_participant_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20preset_name">Link to this property</a>

updated\_at: datetime

When this object was updated. The time is returned in ISO format.

formatdate-time

<a href="#(resource)%20realtime_kit.meetings%20%3E%20(model)%20meeting_get_meeting_participant_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20updated_at">Link to this property</a>

name: Optional\[str]

Name of the participant.

<a href="#(resource)%20realtime_kit.meetings%20%3E%20(model)%20meeting_get_meeting_participant_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20name">Link to this property</a>

picture: Optional\[str]

URL to a picture of the participant.

formaturi

<a href="#(resource)%20realtime_kit.meetings%20%3E%20(model)%20meeting_get_meeting_participant_response%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20picture">Link to this property</a>

</details>

<a href="#(resource)%20realtime_kit.meetings%20%3E%20(model)%20meeting_get_meeting_participant_response%20%3E%20(schema)%20%3E%20(property)%20data">Link to this property</a>

success: bool

Success status of the operation

<a href="#(resource)%20realtime_kit.meetings%20%3E%20(model)%20meeting_get_meeting_participant_response%20%3E%20(schema)%20%3E%20(property)%20success">Link to this property</a>

</details>

[Link to this property](<#(resource)%20realtime_kit.meetings%20%3E%20(model)%20meeting_get_meeting_participant_response%20%3E%20(schema)>)

### Fetch a participant's detail

Python

HTTPTypeScriptPythonGoTerraform

```
import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
response = client.realtime_kit.meetings.get_meeting_participant(
    participant_id="participant_id",
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
    app_id="14a396e7-ca44-4937-bf1f-050a69118543",
    meeting_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(response.data)
```

200 example

```
{
  "data": {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "created_at": "2019-12-27T18:11:19.117Z",
    "custom_participant_id": "custom_participant_id",
    "preset_name": "preset_name",
    "updated_at": "2019-12-27T18:11:19.117Z",
    "name": "name",
    "picture": "https://example.com"
  },
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "data": {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "created_at": "2019-12-27T18:11:19.117Z",
    "custom_participant_id": "custom_participant_id",
    "preset_name": "preset_name",
    "updated_at": "2019-12-27T18:11:19.117Z",
    "name": "name",
    "picture": "https://example.com"
  },
  "success": true
}
```